Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.author
Interface Author

All Superinterfaces:
  Comparable

All Known Subinterfaces:
  ExtendedAuthor

All Known Implementing Classes:
  AuthorImpl, ChangeAuthor

    public interface Author

extends Comparable

Method Summary
`List` | `getBreakages()` Get the build results broken by the author.
`List` | `getFailedBuilds()` Gets all the builds triggered by the author that failed.
`List` | `getFixes()` Get the build results fixed by the author A build is deemed fixed by the author if the build they triggered was succesful and the previous one failed.
`String` | `getFullName()` Get a full name for display purposes
`String` | `getName()` Unique name identifying an author.
`List` | `getSuccessfulBuilds()` Gets all the builds triggered by the author that was successful.
`List` | `getTriggeredBuildResults()` Gets all builds tirggered by the author

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getName

    String getName()

  Unique name identifying an author.

  Returns:
    identifying alias

### getFullName

    String getFullName()

  Get a full name for display purposes

  Returns:
    full name

### getBreakages

    List getBreakages()

  Get the build results broken by the author. A build is deemed broken by the author if the build they triggered failed and the previous one was succesful.

  Returns:
    a `List` of `BuildResultsSummary`

### getFixes

    List getFixes()

  Get the build results fixed by the author A build is deemed fixed by the author if the build they triggered was succesful and the previous one failed.

  Returns:
    a `List` of `BuildResultsSummary`

### getFailedBuilds

    List getFailedBuilds()

  Gets all the builds triggered by the author that failed.

  Returns:
    a `List` of `BuildResultsSummary`

### getSuccessfulBuilds

    List getSuccessfulBuilds()

  Gets all the builds triggered by the author that was successful.

  Returns:
    a `List` of `BuildResultsSummary`

### getTriggeredBuildResults

    List getTriggeredBuildResults()

  Gets all builds tirggered by the author

  Returns:
    a `List` of `BuildResultsSummary`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.